<div id="profileContainer">
    <div class="container pato45">
        <div class="row">
            <div class="col-md-3">
                <div class="avatarFrameonline" *ngIf="user">
                    <img [src]="croppedImage || user.avatar || 'assest/img/generic_avatar.png'" class="avatarImage img-fluid" alt="">
                </div>
                <hr>
                <div>
                    <span>Change Picture</span> <br>
                    <label class="custom-file-upload">
                        <input type="file" (change)="fileChangeEvent($event)">
                        Upload Avatar
                    </label>
                </div>
            </div>
            <div class="col-md-9" *ngIf="user">
                <image-cropper
                    [imageChangedEvent]="imageChangedEvent"
                    [maintainAspectRatio]="true"
                    [aspectRatio]="1 / 1"
                    format="png"
                    (imageCropped)="imageCropped($event)"
                    (imageLoaded)="imageLoaded()"
                    (cropperReady)="cropperReady()"
                    (loadImageFailed)="loadImageFailed()"
                ></image-cropper>
                <div>
                    <label fixed>Nick</label>
                    <input [(ngModel)]="user.nick" type="text" class="form-control">
                </div>
                <div>
                    <label fixed>Subnick</label>
                    <input [(ngModel)]="user.subnick" type="text" class="form-control">
                </div>
                <div>
                    <label fixed>Email</label>
                    <input [(ngModel)]="user.email" type="email" disabled class="form-control">
                </div>
                <div>
                    <label fixed>Status</label>
                    <select [(ngModel)]="user.status" class="form-control">
                        <option value="online">Online</option>
                        <option value="away">Away</option>
                        <option value="busy">Busy</option>
                        <option value="appear_offline">Offline</option>
                    </select>
                </div>
                <hr>
                <a (click)="saveSettings()" class="btn btn-primary btn-block">Save</a>
            </div>
        </div>
    </div>
</div>